# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		pixelize
Summary:	A program to build larger pictures from hundreds of smaller images
Version:	1.0.0
Release:	alt1_19
Group:		Graphics
License:	GPLv2+
URL:		http://lashwhip.com/pixelize.html
Source0:	ftp://lashwhip.com/pub/%{name}-%{version}.tar.gz
Patch0:		pixelize-1.0.0-linking.patch
BuildRequires:	pkgconfig(gtk+-2.0)
Source44: import.info

%description
Pixelize is a program that will use many scaled down images to
try to duplicate, as closely as possible, another image. It
works by splitting up the image you want rendered (or duplicated)
into a grid of small rectangular areas. Each area is analyzed,
and replaced with an image chosen from a large database of images.
Pixelize tries to pick images that best match each area. It works
best when it can choose images from a very large database of images.
With about 1000 images, Pixelize can do a reasonable job.

%prep
%setup -q
%patch0


%build
%make_build DFLAGS=""

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 pixelize %{buildroot}%{_bindir}
install -m 755 make_db	%{buildroot}%{_bindir}

#mdk menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Pixelize
Exec=%{name}
Icon=graphics_section
Terminal=false
Type=Application
Categories=Graphics;
MimeType=image/gif;image/jpeg;image/png;image/bmp;image/x-eps;image/x-ico;image/x-portable-bitmap;image/x-portable-pixmap;image/x-xbitmap;image/x-xpixmap;
EOF

%files
%doc README
%{_bindir}/make_db
%{_bindir}/%{name}
%{_datadir}/applications/%{_vendor}-%{name}.desktop


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.0-alt1_19
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_18
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_17
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_16
- new version

